NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-rate_limits - Documentation for the /organization/projects/{project_id}/rate_limits path.

OPERATIONS

GET /organization/projects/{project_id}/rate_limits

list-project-rate-limits

$client->list_project_rate_limits({
    body => { ... },
});

Returns the rate limits per model for a project.

Path/query parameters

  • project_id (in path, required, string) - The ID of the project.

  • limit (in query, optional, integer) - A limit on the number of objects to be returned. The default is 100.

    Default: 100

  • after (in query, optional, string) - A cursor for use in pagination. after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include after=obj_foo in order to fetch the next page of the list.

  • before (in query, optional, string) - A cursor for use in pagination. before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, beginning with obj_foo, your subsequent call can include before=obj_foo in order to fetch the previous page of the list.

Responses

200 - Project rate limits listed successfully.

Content-Type: application/json

Example:

{
   "data" : [
      "{\n    \"object\": \"project.rate_limit\",\n    \"id\": \"rl_ada\",\n    \"model\": \"ada\",\n    \"max_requests_per_1_minute\": 600,\n    \"max_tokens_per_1_minute\": 150000,\n    \"max_images_per_1_minute\": 10\n}\n"
   ],
   "first_id" : "string",
   "has_more" : false,
   "last_id" : "string",
   "object" : "list"
}

SCHEMAS

ProjectRateLimit

Properties:

  • batch_1_day_max_input_tokens (integer) - The maximum batch input tokens per day. Only present for relevant models.

  • id (string, required) - The identifier, which can be referenced in API endpoints.

  • max_audio_megabytes_per_1_minute (integer) - The maximum audio megabytes per minute. Only present for relevant models.

  • max_images_per_1_minute (integer) - The maximum images per minute. Only present for relevant models.

  • max_requests_per_1_day (integer) - The maximum requests per day. Only present for relevant models.

  • max_requests_per_1_minute (integer, required) - The maximum requests per minute.

  • max_tokens_per_1_minute (integer, required) - The maximum tokens per minute.

  • model (string, required) - The model this rate limit applies to.

  • object (string, required) - The object type, which is always project.rate_limit

    Allowed values: project.rate_limit

ProjectRateLimitListResponse

Properties:

  • data (array of ProjectRateLimit, required)

  • first_id (anyOf)

  • has_more (boolean, required)

  • last_id (anyOf)

  • object (string, required)

    Allowed values: list

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.